# H248_AuditDescriptor Class Reference

`#include <h248.h>`

Inheritance diagram for H248_AuditDescriptor:

List of all members.

## Public Types

enum | OptionalFields { e_auditToken, e_auditPropertyToken }

## Public Member Functions

| H248_AuditDescriptor (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

PASN_BitString | m_auditToken
H248_ArrayOf_IndAuditParameter | m_auditPropertyToken

## Member Enumeration Documentation

enum H248_AuditDescriptor::OptionalFields

Enumerator:

  e_auditToken |
  e_auditPropertyToken |

## Constructor & Destructor Documentation

H248_AuditDescriptor::H248_AuditDescriptor | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H248_AuditDescriptor::GetDataLength | ( |  | ) | const

PBoolean H248_AuditDescriptor::Decode | ( | PASN_Stream & | strm | ) |

void H248_AuditDescriptor::Encode | ( | PASN_Stream & | strm | ) | const

void H248_AuditDescriptor::PrintOn | ( | ostream & | strm | ) | const

Comparison H248_AuditDescriptor::Compare | ( | const PObject & | obj | ) | const

PObject* H248_AuditDescriptor::Clone | ( |  | ) | const

## Member Data Documentation

PASN_BitString H248_AuditDescriptor::m_auditToken

H248_ArrayOf_IndAuditParameter H248_AuditDescriptor::m_auditPropertyToken

The documentation for this class was generated from the following file:

- h248.h